﻿
clearscreen();

//Button to trigger action
pushbutton([1,15], "Get Table Attribute", "?", {"process":getLUITableAttribute, "size":[1,20]});

//Logic to render Liquid UI table
table([3,2], [15,50], {"name":"z_table", "title":"BOM Detail", "rows":100});
column("Item", {"table":"z_table", "name":"item_no", "position":1, "size":4, "numerical":true});
column("Document", {"table":"z_table", "name":"doc_no", "position":2, "size":25, "uppercase":true});
column("Type", {"table":"z_table", "name":"doc_type", "position":3, "size":3, "uppercase":true});
column("Part", {"table":"z_table", "name":"doc_part", "position":4, "size":3, "uppercase":true});
column("Version", {"table":"z_table", "name":"doc_version", "position":5, "size":2, "uppercase":true});


//Function to get table attribute
function getLUITableAttribute(){
	gettableattribute("z_table", {"firstvisiblerow":"FVisRow", "lastvisiblerow":"LVisRow", "lastrow":"LRow"});
	println("=====>> FVisRow:"+FVisRow);
	println("=====>> LVisRow:"+LVisRow);
	println("=====>> LRow:"+LRow);
}


